import {ContainerComponent} from "../controller.js";

/**
 * 数据表格行组件
 * @param {[type]} dataModel [description]
 */
export default class GridDataRow extends ContainerComponent {

  constructor(__tfp, dataModel, parent) {
    super(__tfp, "GridDataRow", dataModel, parent);
  }

  //属性
  get height() { return this.dataModel.height }
  set height(value) {
    this.dataModel.height = value;
    if(!this.dataModel.styles) this.dataModel.styles = {};
    this.dataModel.styles["height"] = value+"px";
    if(this._jqObj) this._jqObj.css("height", value+"px");
  }
}